org.apache.mina.statemachine.transition

## Class AmbiguousMethodException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.transition.AmbiguousMethodException

- All Implemented Interfaces:
    Serializable

      public class AmbiguousMethodException
      extends RuntimeException

  Thrown by the constructors in `MethodTransition` if there are several methods with the specifed name in the target object's class.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbiguousMethodException(String methodName)` Creates a new instance using the specified method name as message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AmbiguousMethodException

          public AmbiguousMethodException(String methodName)

      Creates a new instance using the specified method name as message.
      Parameters:
        `methodName` - the name of the method.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.